Bug 440274 - Network-attach command mismatches the usage.
Network-attach command mismatches the usage.
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: xen (Show other bugs)
5.2
All Linux
high Severity medium
: rc
: ---
Assigned To: Daniel Berrange
Virtualization Bugs
:
Depends On:
Blocks: 391501 409971 448899
  Show dependency treegraph
 
Reported: 2008-04-02 11:52 EDT by Adam Stokes
Modified: 2010-10-22 19:42 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-20 16:12:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
fix network-attach usage output (1.61 KB, patch)
2008-04-02 11:52 EDT, Adam Stokes
no flags Details | Diff

  None (edit)
Description Adam Stokes 2008-04-02 11:52:20 EDT
Description of problem:
Network-attach command can not receive the specified
MAC address by its usage. And the VNIF is allocated the MAC
address by automatic generation.

he identified mac address is not configured by the following command.

 # xm network-attach domain1 --bridge=aaa --mac=xx:xx:xx:xx:xx:xx

The error message isn't outputed, and the random mac address is assigned instead.

Actually, this can be assigned by the following command.

 # xm network-attach domain1 bridge=aaa mac=xx:xx:xx:xx:xx:xx

The identified mac address is assigned without any errors, though this way to
identify bridge and mac is written in "xm network-attach --help" like the following.

 --------------------------------------------------
 # xm network-attach --help
 Usage: xm network-attach <Domain> [--script=<script>] [--ip=<ip>] [--mac=<mac>]
 
 Create a new virtual network device.
 --------------------------------------------------

Fujitsu thinks that the output of "xm network-attach --help" is not correct. So,
Fujitsu created the patch to correct that. This patch has even the logic to
check the arguments of network-attach subcommand.

         * Observed behavior

The identified mac address is not assigned by xm network-attach with the method
written in "xm network-attach --help".

         * Desired behavior

The identified mac address is assigned by xm network-attach with the method
written in "xm network-attach --help".


Version-Release number of selected component (if applicable):
xen 3.1

How reproducible:
100%

Steps to Reproduce:
1. xm network-attach domain1 --bridge=aaa --mac=xx:xx:xx:xx:xx:xx
2.
3.
  
Actual results:
The error message isn't outputed, and the random mac address is assigned instead.

Expected results:
Specified mac address is associated correctly

Additional info:
Comment 1 Adam Stokes 2008-04-02 11:52:20 EDT
Created attachment 300082 [details]
fix network-attach usage output
Comment 2 RHEL Product and Program Management 2008-06-02 16:10:41 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 5 Daniel Berrange 2008-09-09 05:49:00 EDT
Built into xen-3.0.3-72.el5
Comment 8 errata-xmlrpc 2009-01-20 16:12:43 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-0118.html

Note You need to log in before you can comment on or make changes to this bug.